Subject: Re: bug#65896: 30.0.50; folding text with text properties prevents background from extending past the newline

From: Juri Linkov <[email-masked]>
Date: Fri, 22 Sep 2023 09:40:42 +0300

>> I cannot see how this proposal could be TRT.
>
> Yeah, I believe there should be ways to scratch that itch without going
> all the way down to the display engine.
>
> FWIW, I would invite motivated hackers to check out magit-section and
> see if outline-mode could be taught a new "folding style" that would use
> the same folding principles.  My own wandering through the EIEIO maze
> has been too brief to yield anything useful, but AFAICT the salient
> points are:
>
> * setting the 'invisible overlay's BEG at the start of the "section
> body" (after the heading's newline),
>
> * storing bookkeeping information (such as this beginning position) in a
> 'magit-section property applied to the heading, so that
> magit-section-show can retrieve that information when invoked by the
> user with point on that heading.
>
> I would imagine outline.el could grow a user option to adjust overlay
> boundaries this way, so the heading's newline would remain visible, and
> so would any :extend property on that newline… although perhaps I'm
> missing some key differences between outline-mode and magit-section-mode
> that may derail this train of thought.

I tried, but the conclusion was that this requires changes in the display engine.